Summary:	Kiax is an IAX client application (a so called Softphone)
Name:		kiax
Version:	0.8.3
Release:	%mkrel 1
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://kiax.org/
Source0:	http://prdownloads.sourceforge.net/kiax/%{name}-%{version}-src.tar.bz2
Source1:	http://kiax.sourceforge.net/img/kiax_logo_small.png
Patch0:		kiax-0.8.3-system_iaxclient_libs.diff.bz2
BuildRequires:	libqt-devel
BuildRequires:	XFree86-devel
BuildRequires:	XFree86-libs
BuildRequires:	kdelibs-devel
BuildRequires:	kdelibs-common >= 3.1.93-5mdk
BuildRequires:	iaxclient-devel
BuildRequires:	iax-devel
BuildRequires:	ImageMagick
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kiax is an IAX client application (a so called Softphone) which
allows PC users to make ordinary VoIP calls to Asterisk servers,
the same way as they do it with their hardware telephone. It aims
to provide a simple and user-friendly graphical interface and
desktop integration for calling, contact list, call register
management and easy configuration. That is - a simple to use IAX
Client.

%prep

%setup -q -n kiax
%patch0 -p1

%build
export QTDIR=%{_prefix}/lib/qt3
export KDEDIR=%{_prefix}
export LD_LIBRARY_PATH="$QTDIR:/%{_lib}:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

#make clean
qmake -makefile qkiax.pro
qmake -makefile src/src.pro
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
#export DONT_STRIP=1

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_menudir}

install -m0755 bin/%{name} %{buildroot}%{_bindir}/

# fix some icons
convert %{SOURCE1} -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert %{SOURCE1} -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{SOURCE1} -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

# fix mandrake menu entry
cat >> %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 needs="X11" \
 section="Internet/Telephony" \
 title="Kiax" \
 longtitle="Kiax is an IAX client application (a so called Softphone)"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.3-1mdk
- initial package
